# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kaslc"
version = "0.2.9"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A command-line tool to compile and run kasl programs."
homepage = "https://kasl.hatya.dev"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/hatya-mouse/kaslc"

[[bin]]
name = "kaslc"
path = "src/main.rs"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.dirs]
version = "6.0.0"

[dependencies.indicatif]
version = "0.18.4"

[dependencies.kasl]
version = "0.2.9"
features = ["cranelift"]

[dependencies.owo-colors]
version = "4.3.0"

[dependencies.rust-embed]
version = "8.11.0"

[dependencies.toml]
version = "1.0.7"
